CONSOLE_TTY=$(cat /proc/cmdline | awk -v RS=" " -v FS="[=,]" "/^console=/ {print \$2;}") 
if [[ -n "$CONSOLE_TTY" ]]; then
    CONSOLE_DEVICE=/dev/$CONSOLE_TTY
    # Start the command line using a proper tty for job control.
    # This avoids the "sh: can't access tty; job control turned off" error.
    setsid /bin/sh -c "PS1='DSS RESCUE \w# ' exec /bin/sh <$CONSOLE_DEVICE > $CONSOLE_DEVICE 2>&1"
else
    exec /bin/sh
fi
